Update Proxy Rotation
Use this endpoint to manage Update Proxy Rotation through the PinguProxy API.
PUT
/proxies/update_rotationBody Parameters
Security
AuthorizationstringrequiredJWT Bearer token
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Request Body
idintegerrequiredID of the proxy to update
is_rotatingbooleanrequiredEnable or disable proxy rotation
Response
Status 200
{"is_rotating": true}
Update Rotation Interval
Use this endpoint to manage Update Rotation Interval through the PinguProxy API.
PUT
/proxies/update_rotate_intervalBody Parameters
Security
AuthorizationstringrequiredJWT Bearer token
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Request Body
idintegerrequiredID of the proxy to update
rotate_intervalintegerrequiredNew rotation interval in seconds
Response
Status 200
{"success": true}
Update Proxy Label
Use this endpoint to manage Update Proxy Label through the PinguProxy API.
PUT
/proxies/update_labelBody Parameters
Security
AuthorizationstringrequiredJWT Bearer token
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Request Body
idintegerrequiredID of the proxy to update
labelstringrequiredNew label for the proxy
Response
Status 200
true